[project]
name = "{{cookiecutter.package_name}}"
dynamic = ["version"]
description = "{{cookiecutter.package_short_description}}"
readme = "README.md"
requires-python = "{{cookiecutter.python_requires}}"
license = {text = "{{cookiecutter.license}}"}
authors = [
  {name = "{{cookiecutter.author_name}}", email = "{{cookiecutter.author_email}}"}
]
maintainers = [
  {name = "{{cookiecutter.author_name}}", email = "{{cookiecutter.author_email}}"}
]
classifiers = [
  "Programming Language :: Python"
]

# dependencies = [
#   "pandas"
# ]

# [project.urls]
# homepage = "https://example.com"
# documentation = "https://readthedocs.org"
# repository = "https://github.com"
# changelog = "https://github.com/me/spam/blob/master/CHANGELOG.md"

# [project.scripts]
# cli-name = "py.file.path:function"

[build-system]
requires = [
    "setuptools>=45",
    "wheel",
    "setuptools_scm[toml]>=6.2"
]
build-backend = "setuptools.build_meta"

[tool.setuptools_scm]

[tool.black]
line-length = 120
